/*
 * $Id: sbrg.h,v 1.2 2002/03/13 16:09:58 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Speed Barricade header file.
 *
 * @version $Revision: 1.2 $
 */
#include <piece.h>

#define randN(N) (rand()%(N))
#define randNS(N) (rand()&1 ? (rand()%(N)) : -(rand()%(N)))
#define absN(a) ((a) < 0 ? - (a) : (a))

#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 88

#define DEMO 0
#define IN_GAME 1

extern unsigned char vbuf[SCREEN_WIDTH*SCREEN_HEIGHT];
extern PIECE_BMP titleBmp, startBmp, beatBmp, oppBmp, numBmp[10];
extern unsigned char SE_BGM1[], SE_BGM2[], SE_BGM3[], SE_BGM4[],
  SE_BGM5[], SE_BGM6[], SE_BGM7[], SE_BGM8[],
  SE_CRASH[], SE_DAMAGE[], SE_RIGHT[], SE_LEFT[];
extern int status;
extern int cnt;
extern int demo;
extern int playBgmTick;

void clearScreen();
void initDemo();
void initInGame();
void playSe(char *snd, int ch);
void sendFromUSB(char *buff, int size);
