/*
 * $Id: render.h,v 1.1.1.1 2002/03/07 15:33:14 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */

/**
 * Render header file.
 *
 * @version $Revision: 1.1.1.1 $
 */
#include "vector.h"

#ifndef DEF_RENDER
#define DEPTH 256

typedef struct {
  Vector a, r, m;
} Point;

typedef struct {
  Point *sp, *ep;
  int color;
} Line;

typedef struct {
  Point *p;
  int color;
  int size;
} Dot;

void initRender();
Point* getPointInstance();
Line* getLineInstance();
Dot* getDotInstance();
void renderAll(Vector *ofs, int d1);
#define DEF_RENDER
#endif
