
/////////////////////////////////////////////////////////////////////////////
//
//             /
//      -  P  /  E  C  E  -
//           /                 mobile equipment
//
//              System Programs
//
//
// PIECE TOOLS : pieceif.dll : Ver 1.00
//
// Copyright (C)2001 AUQAPLUS Co., Ltd. / OeRSTED, Inc. all rights reserved.
//
// Coded by MIO.H (OeRSTED)
//
// Comments:
//
// USB ]RA DLL
//
//  v1.00 2001.11.09 MIO.H
//  v1.01 2001.11.10 MIO.H ismRTCSet ǉ
//



#ifndef _PIECEIF_H
#define _PIECEIF_H

#ifdef __cplusplus
extern "C" {
#endif

/*
#ifdef INDLL
#define DLLAPI __declspec( dllexport ) WINAPI
#define DLLVAR __declspec( dllexport )
#else
#define DLLAPI __declspec( dllimport ) WINAPI
#define DLLVAR extern __declspec( dllimport )
#endif //#ifdef INDLL
*/
#define DLLAPI /**/

typedef struct tagUSBCOMS {
	unsigned char rxstat; // M
	unsigned char txstat; // M
	unsigned char pistat; // PIECE ̃I[vtO
	unsigned char mystat; // PC ̃I[vtO
	unsigned long rxlen;  // MvTCY
	unsigned long txlen;  // MvTCY
	char signature[16];   // ƍ
} USBCOMS;

#define USBCOM_STAT_RXWAIT 1
#define USBCOM_STAT_TXWAIT 1

#define PIECE_INVALID_VERSION (-1)

// low-level interface functions
//
int DLLAPI ismInit( void );
int DLLAPI ismExit( void );
int DLLAPI ismCmdW( const void *ptr1, unsigned len1, const void *ptr2, unsigned len2 );
int DLLAPI ismCmdR( const void *ptr1, unsigned len1, void *ptr2, unsigned len2 );

// basic-level interface functions
//
int DLLAPI ismGetVersion( void *ptr, int renew );
int DLLAPI ismWriteMem( const unsigned char *pBuff, unsigned long adrs, unsigned len );
int DLLAPI ismReadMem( unsigned char *pBuff, unsigned long adrs, unsigned len );
int DLLAPI ismExec( unsigned long adrs );

// USBCOM-level interface functions
//
int DLLAPI ismUCOpen( USBCOMS *pucs );
int DLLAPI ismUCClose( void );
int DLLAPI ismUCGetStat( USBCOMS *pucs );
int DLLAPI ismUCWrite( const void *ptr, int len );
int DLLAPI ismUCRead( void *ptr, int len );

// isd-level interface functions -> isdsub.c

int DLLAPI ismAppStop( void );
int DLLAPI ismAppStart( void );
int DLLAPI ismWriteSrfFile( const char *infname, int run );
int DLLAPI ismPFFSDir( char *buff, unsigned len, int flag );
int DLLAPI ismPFFSWrite( const char *fname, const char *infname );
int DLLAPI ismPFFSRead( const char *fname,  const char *outfname );
int DLLAPI ismPFFSDelete( const char *fname );
int DLLAPI ismPFFSInit( void );
int DLLAPI ismRTCSet( int year, int mon, int day, int hour, int min, int sec );
int DLLAPI ismLCDCaptureScreen( unsigned char *buff, int len );
int DLLAPI ismHeapGetAdrs( unsigned long *padr );

#ifdef __cplusplus
};
#endif

// G[ԍ̒`

#define ERR_PIECEIF_TIMEOUT         1001  // ^CAEg
#define ERR_PIECEIF_ILL_VER         1002  // BIOS̃o[WႤ
#define ERR_PIECEIF_PFFS_EMPTY      1005  // PFFS ̗eʂtŃt@C߂Ȃ
#define ERR_PIECEIF_PFFS_DIR_EMPTY  1006  // PFFS ̃fBNgtŃt@C߂Ȃ

#endif //_PIECEIF_H
